# Retrieve Bill Statement in CSV Format

## cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv \
  --header 'Authorization: Bearer <token>'
```

## Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

## PHP

```php


```

## Response Codes

### 200

```json
{
  "downloadUrl": "<string>"
}
```

### 4XX

```json
{
  "message": "<string>"
}
```

### 5XX

```json
{
  "message": "<string>"
}
```

## Authorizations

### Authorization

- **Type:** string
- **In:** header
- **Required:** Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

## Path Parameters

### orgId
- **Type:** string
- **Required:** Yes  
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

### id
- **Type:** string
- **Required:** Yes  
The unique identifier (UUID) of the Bill for which to retrieve the Statement in CSV format.

## Response

### 200
- **Content-Type:** application/json  
Returns the download URL

### downloadUrl
- **Type:** string<url>  
The pre-signed download URL.
